Skip to main content
GET
/
CampaignItem
/
{campaignId}
/
{phoneNumber}
Get all items by phone number
curl --request GET \
  --url https://api.starleads.co/CampaignItem/{campaignId}/{phoneNumber} \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": "<string>",
    "campaignId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "processedAt": "2023-11-07T05:31:56Z",
    "lastCallDate": "2023-11-07T05:31:56Z",
    "runningStatus": "Pending",
    "attemptCount": 123,
    "channel": "Phone",
    "phoneNumber": "<string>",
    "businessId": "<string>",
    "nextTryDate": "2023-11-07T05:31:56Z",
    "dataBag": {},
    "result": {
      "tag": {
        "id": "<string>",
        "name": "<string>",
        "color": "<string>"
      },
      "conversation": {
        "id": "<string>",
        "messages": [
          {
            "timestamp": "2023-11-07T05:31:56Z",
            "role": "<string>",
            "text": "<string>",
            "intent": "<string>"
          }
        ]
      },
      "summary": "<string>",
      "isSystem": true,
      "metadata": {}
    },
    "isArchived": true,
    "eventList": [
      {
        "type": "LaunchCall",
        "date": "2023-11-07T05:31:56Z",
        "description": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.starleads.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

Headers

X-Api-Key
string
required

Api key to pass as a X-Api-Key request header. You can get yours in your profile when authenticated in Starleads

Path Parameters

campaignId
string
required

ID of the campaign.

phoneNumber
string
required

Phone number

Query Parameters

startLastCallDate
string<date-time>

Filter items with LastCallDate greater than or equal to this date.

endLastCallDate
string<date-time>

Filter items with LastCallDate less than or equal to this date.

Response

Success

id
string | null
campaignId
string | null
createdAt
string<date-time> | null
processedAt
string<date-time> | null
lastCallDate
string<date-time> | null
runningStatus
enum<string>
Available options:
Pending,
Calling,
Processed,
ProcessingResult,
Error
attemptCount
integer<int32>
channel
enum<string>
Available options:
Phone,
WebWidgetChat,
WebWidgetVoice,
SMS
phoneNumber
string | null
businessId
string | null
nextTryDate
string<date-time>
dataBag
object
result
object
isArchived
boolean
eventList
object[] | null